<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && 'comments.php' && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

/* comments*/

// Fist full of comments
if ( ! function_exists( 'custom_comment' ) ) {
	function custom_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment; ?>

		<li <?php comment_class(); ?>>

			<a name="comment-<?php comment_ID(); ?>"></a>

			<div id="li-comment-<?php comment_ID(); ?>" class="comment-container">

				<?php if( get_comment_type() == 'comment' ) { ?>
					<div class="avatar fl"><?php the_commenter_avatar( $args ); ?></div>
				<?php } ?>

				<div class="comment-entry"  id="comment-<?php comment_ID(); ?>">
				<div class="comment-head">

					<span class="name"><?php the_commenter_link(); ?> </span>
					<span class="date"><?php _e( 'on', 'nicethemes' ); ?> <?php echo get_comment_date( get_option( 'date_format' ) ); ?></span>
					<span class="perma"><a href="<?php echo get_comment_link(); ?>" title="<?php esc_attr_e( 'Direct link to this comment', 'nicethemes' ); ?>">#</a></span>
					<span class="edit"><?php edit_comment_link( __( 'Edit', 'nicethemes' ), '', '' ); ?></span>

					<span class="reply"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></span>

				</div><!-- /.comment-head -->
				<?php comment_text() ?>

				<?php if ( $comment->comment_approved == '0' ) { ?>
					<p class='unapproved'><?php _e( 'Your comment is awaiting moderation.', 'nicethemes' ); ?></p>
				<?php } ?>

				</div><!-- /comment-entry -->
			</div><!-- /.comment-container -->

	<?php 
	}
}

if (!function_exists( "the_commenter_link")) {
	function the_commenter_link() {
		$commenter = get_comment_author_link();
		/*if ( preg_match( '/]* class=[^>]+>/', $commenter ) ) {$commenter = preg_replace( '(]* class=[\'"]?)', '\\1url ' , $commenter );
		} else { $commenter = ereg_replace( '(<a )/', '\\1class="url "' , $commenter ); }*/
		echo $commenter ;
	}
}

if ( ! function_exists( 'the_commenter_avatar' ) ) {
	function the_commenter_avatar( $args ) {
		$email = get_comment_author_email();
		$avatar = str_replace( "class='avatar", "class='photo avatar", get_avatar( "$email",  $args['avatar_size'] ) );
		echo $avatar;
	}
}

?>

<?php
	
// Do not delete these lines

if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && 'comments.php' == basename( $_SERVER['SCRIPT_FILENAME'] ) )
	die ( 'Please do not load this page directly. Thanks!' );

if ( post_password_required() ) { ?>
	<p class="nocomments"><?php _e( 'This post is password protected. Enter the password to view comments.', 'nicethemes' ) ?></p>

<?php return; } ?>

<?php $comments_by_type = separate_comments( $comments ); ?>

<!-- You can start editing here. -->

<div id="comments">

<?php if ( have_comments() ) : ?>

	<?php if ( ! empty($comments_by_type['comment']) ) : ?>

		<h3><?php comments_number( __( 'No Responses', 'nicethemes' ), __( 'One Response', 'nicethemes' ), __( '% Responses', 'nicethemes' ) );?> <?php _e( 'to', 'nicethemes' ) ?> &#8220;<?php the_title(); ?>&#8221;</h3>

		<ol class="commentlist">

			<?php wp_list_comments( 'avatar_size=50&callback=custom_comment&type=comment' ); ?>

		</ol>

		<div class="navigation">
			<div class="fl"><?php previous_comments_link() ?></div>
			<div class="fr"><?php next_comments_link() ?></div>
			<div class="fix"></div>
		</div><!-- /.navigation -->
	<?php endif; ?>

	<?php if ( ! empty( $comments_by_type['pings'] ) ) : ?>

		<h3 id="pings"><?php _e( 'Trackbacks/Pingbacks', 'nicethemes' ) ?></h3>

		<ol class="pinglist">
			<?php wp_list_comments( 'type=pings&callback=list_pings' ); ?>
		</ol>

	<?php endif; ?>

<?php else : // this is displayed if there are no comments so far ?>

		<?php if ( 'open' == $post->comment_status ) : ?>
			<!-- If comments are open, but there are no comments. -->
			<p class="nocomments"><?php _e( 'No comments yet.', 'nicethemes' ) ?></p>

		<?php else : // comments are closed ?>
			<!-- If comments are closed. -->
			<p class="nocomments"><?php _e( 'Comments are closed.', 'nicethemes' ) ?></p>

		<?php endif; ?>

<?php endif; ?>

</div> <!-- /#comments_wrap -->

<?php if ( 'open' == $post->comment_status ) : ?>

<h3><?php comment_form_title( __( 'Leave a Reply', 'nicethemes' ), __( 'Leave a Reply to %s', 'nicethemes' ) ); ?></h3>

<div id="respond">

	<div class="cancel-comment-reply">
		<small><?php cancel_comment_reply_link(); ?></small>
	</div><!-- /.cancel-comment-reply -->

	<?php if ( get_option( 'comment_registration' ) && ! $user_ID ) : //If registration required & not logged in. ?>

		<p><?php _e( 'You must be', 'nicethemes' ) ?> <a href="<?php echo get_option( 'siteurl' ); ?>/wp-login.php?redirect_to=<?php echo urlencode( get_permalink() ); ?>"><?php _e( 'logged in', 'nicethemes' ) ?></a> <?php _e( 'to post a comment.', 'nicethemes' ) ?></p>

	<?php else : //No registration required ?>

		<form action="<?php echo get_option( 'siteurl' ); ?>/wp-comments-post.php" method="post" id="commentform">

		<?php if ( $user_ID ) : //If user is logged in ?>

			<p><?php _e( 'Logged in as', 'nicethemes' ); ?> <a href="<?php echo get_option( 'siteurl' ); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(); ?>" title="<?php _e( 'Log out of this account', 'nicethemes' ) ?>"><?php _e( 'Logout', 'nicethemes' ) ?> &raquo;</a></p>

		<?php else : //If user is not logged in ?>

			<p>
				<label for="author"><?php _e( 'Name', 'nicethemes' ); ?> <?php if ($req) _e( '*', 'nicethemes'); ?></label>
				<input type="text" name="author" class="txt" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
			</p>

			<p>
				<label for="email"><?php _e( 'Mail', 'nicethemes' ); ?> <?php if ($req) _e( '*', 'nicethemes' ); ?></label>
				<input type="text" name="email" class="txt" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
			</p>

			<p>
				<label for="url"><?php _e( 'Website', 'nicethemes' ); ?></label>
				<input type="text" name="url" class="txt" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
			</p>

		<?php endif; // End if logged in ?>

		<!--<p><strong>XHTML:</strong> <?php _e( 'You can use these tags', 'nicethemes' ); ?>: <?php echo allowed_tags(); ?></p>-->

		<p><label for="comment"><?php _e('Your message', 'nicethemes') ?></label>
		<textarea name="comment" id="comment" rows="10" cols="50" tabindex="4"></textarea></p>

		<input name="submit" type="submit" id="submit" class="button" tabindex="5" value="<?php _e( 'Submit Comment', 'nicethemes' ) ?>" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />

		<?php comment_id_fields(); ?>
		<?php do_action( 'comment_form', $post->ID ); ?>

		</form><!-- /#commentform -->

	<?php endif; // If registration required ?>

	<div class="fix"></div>

</div><!-- /#respond -->

<?php endif; // if you delete this the sky will fall on your head ?>