<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

global $nice_options;
?>
<!DOCTYPE html>
<!--[if IE 7]>  <html class="ie ie7" <?php language_attributes(); ?> prefix="og: http://ogp.me/ns#">    <![endif]-->
<!--[if IE 8]>  <html class="ie ie8" <?php language_attributes(); ?> prefix="og: http://ogp.me/ns#">    <![endif]-->
<!--[if IE 9]>  <html class="ie ie9" <?php language_attributes(); ?> prefix="og: http://ogp.me/ns#">    <![endif]-->
<!--[if (gt IE 9)|!(IE)]>
<html <?php language_attributes(); ?> prefix="og: http://ogp.me/ns#">
<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<title><?php wp_title( '&laquo;', true, 'right' ); ?> <?php bloginfo( 'name' ); ?></title>

	<!-- Pingback URL -->
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<!-- Start: #page -->
<div id="wrapper">
<!-- Start: #header -->
<div id="header" class="clearfix">

	<div id="menu-switcher">
		<div id="menu-arrow" class="arrow-up"></div>
	</div>

	<div id="navigation" class="clearfix">

		<?php $defaults = array(
							'menu'            => '', 
							'container'       => '', 
							'container_class' => '', 
							'container_id'    => '', 
							'menu_class'      => 'nav fl sf-js-enabled ', 
							'menu_id'         => 'main-nav',
							'echo'            => true,
							'fallback_cb'     => 'wp_page_menu',
							'before'          => '',
							'after'           => '',
							'link_before'     => '',
							'link_after'      => '',
							'depth'           => 0,
							'walker'          => '',
							'theme_location'  => 'navigation-menu');
		?>
		<div class="menu-nav-container clearfix">
		<?php wp_nav_menu( $defaults); ?>
		</div>
	</div>

	<div id="top" class="col-full">

		<!-- #logo -->
		<div id="logo" class="logo clearfix">
			<h1><a href="<?php echo get_option( 'home' ); ?>" title="<?php bloginfo( 'name' ); ?>">
			<?php if ( isset(  $nice_options['nice_logo'] ) && $nice_options['nice_logo'] <> '' ) : ?>
				<img src="<?php echo $nice_options['nice_logo']; ?>" alt="<?php bloginfo( 'name' ); ?>" />
			<?php else: ?>
				<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/logo.png" alt="<?php bloginfo( 'name' ); ?>" />
			<?php endif;?>
			</a></h1>
		</div>
		<!-- /#logo -->

		</div>

</div>
<!-- End: #header -->

<!-- Start: #container -->
<div id="container" class="clearfix">