<?php

// add action nice_fields()
add_action('admin_head','nice_fields');


/**
 * nice_fields()
 *
 * Load array with custom fields depending on post type,
 * save the array into wp options.
 *
 * @since 1.0.0
 *
 */

function nice_fields() {

	$nice_fields = array();

	global $post;

	if ( get_post_type() == 'post' || ! get_post_type() ) {


		$nice_fields[] = array (  	'name'  => 'embed',
									'std'  	=> '',
									'label' => __( 'Video Embed Code', 'nicethemes' ),
									'type' 	=> 'textarea',
									'desc' 	=> __( 'Enter the video embed code for your video (YouTube, Vimeo or similar).', 'nicethemes' ) );

	}


	if ( get_post_type() == 'portfolio' || ! get_post_type() ) {



		$nice_fields[] = array (  	'name'  => 'embed',
									'std'  	=> '',
									'label' => __( 'Video Embed Code', 'nicethemes' ),
									'type' 	=> 'textarea',
									'desc' 	=> __( 'Enter the video embed code for your video (YouTube, Vimeo or similar). Will show instead of your image.', 'nicethemes' ) );

		$nice_fields['testimonial'] = array (
									'name' 	=> 'testimonial',
									'label' => __( 'Testimonial', 'nicethemes' ),
									'type' 	=> 'textarea',
									'desc' 	=> __( 'Enter a testimonial from your client to be displayed on the single portfolio page', 'nicethemes' ) );

		$nice_fields['testimonial_author'] = array (
									'name' 	=> 'testimonial_author',
									'label' => __( 'Testimonial Author', 'nicethemes' ),
									'type' 	=> 'text',
									'desc' 	=> __( 'Enter the name of the author of the testimonial e.g. Joe Bloggs', 'nicethemes' ) );

		$nice_fields['feedback_url'] = array (
									'name' 	=> 'url',
									'label' => __( 'URL', 'nicethemes' ),
									'type' 	=> 'text',
									'desc' 	=> __( 'Enter URL of your clients site. (optional)', 'nicethemes' ) );

	} //End portfolio


	if ( get_option( 'nice_custom_fields' ) != $nice_fields ) update_option( 'nice_custom_fields', $nice_fields );

}


?>