<?php
/*
*	Portfolio Items
*/

add_action( 'init', 'add_nice_portfolio' );

if ( ! function_exists( 'add_nice_portfolio' ) ) :

	function add_nice_portfolio(){

	  $labels = array(
			'name'					=> __( 'Portfolio', 'nicethemes' ),
			'singular_name'			=> __( 'Portfolio', 'nicethemes' ),
			'add_new'				=> __( 'Add New', 'portfolio', 'nicethemes' ),
			'add_new_item'			=> __( 'Add New Portfolio Item', 'nicethemes' ),
			'edit_item'				=> __( 'Edit Portfolio Item', 'nicethemes' ),
			'new_item'				=> __( 'New Portfolio Item', 'nicethemes' ),
			'view_item'				=> __( 'View Portfolio Item', 'nicethemes' ),
			'search_items'			=> __( 'Search Portfolio Items', 'nicethemes' ),
			'not_found'				=> __( 'No Portfolio Item found', 'nicethemes' ),
			'not_found_in_trash'	=> __( 'No Portfolio Items found in Trash', 'nicethemes' ),
			'parent_item_colon'		=> ''
		);

		$args = array(
			'labels'				=> $labels,
			'public'				=> true,
			'publicly_queryable'	=> true,
			'show_ui'				=> true,
			'query_var'				=> true,
			'rewrite'				=> true,
			'capability_type'		=> 'post',
			'hierarchical'			=> false,
			'menu_icon'				=> nice_admin_menu_icon( 'btn-portfolio.png' ),
			'menu_position'			=> null,
			'supports'				=> array( 'title', 'editor', 'thumbnail', 'page-attributes', 'excerpt' )
		);

		register_post_type( 'portfolio', $args );

	}

endif;

add_action( 'init', 'create_portfolio_taxonomies', 0 );

// create taxonomies
function create_portfolio_taxonomies() {

	// Add new taxonomy, make it hierarchical (like categories)
	$labels = array(
		'name'				=> __( 'Portfolio Categories', 'nicethemes' ),
		'singular_name'		=> __( 'Portfolio Category', 'nicethemes' ),
		'search_items'		=> __( 'Portfolio Categories', 'nicethemes' ),
		'all_items'			=> __( 'All Portfolio Categories', 'nicethemes' ),
		'parent_item'		=> __( 'Parent Portfolio Category', 'nicethemes' ),
		'parent_item_colon' => __( 'Parent Portfolio Category:', 'nicethemes' ),
		'edit_item'			=> __( 'Edit Portfolio Category', 'nicethemes' ),
		'update_item'		=> __( 'Update Portfolio Category', 'nicethemes' ),
		'add_new_item'		=> __( 'Add New Portfolio Category', 'nicethemes' ),
		'new_item_name'		=> __( 'New Portfolio Category', 'nicethemes' )
	);

	register_taxonomy( 'portfolio-category', array( 'portfolio' ) ,
			array(
				'hierarchical' => true,
				'labels' => $labels,
				'show_ui' => true,
				'query_var' => true,
				'rewrite' => array( 'slug' => 'portfolio-category' ),
			)
		);

	}

add_filter( 'manage_edit-portfolio_columns', 'nice_edit_portfolio_columns' ) ;

function nice_edit_portfolio_columns( $columns ) {

	$columns = array(
		'cb' 		=> '<input type="checkbox" />',
		'thumbnail'	=> __( 'Image', 'nicethemes' ),
		'title' 	=> __( 'Title', 'nicethemes' ),
		'category' 	=> __( 'Categories', 'nicethemes' ),
		'date' 		=> __( 'Date', 'nicethemes' )
	);

	return $columns;
}

?>