<?php
/**
 * 	Table of Contents
 *
 *	- nice_theme_setup()
 *	- nice_standard_fonts()
 *	- nice_upload_mimes()
 *
 */

if ( ! function_exists( 'nice_theme_setup' ) ) {

	function nice_theme_setup() {

		// This tells the FW where to get updates from.
		define ( 'NICE_THEME_SLUG', 'folly' );

		$hard_crop = get_option( 'nice_wp_resize_crop' );
		if ( $hard_crop == 'true' ) { $hard_crop = true; } else { $hard_crop = false; }

		add_image_size( 'nice-single-portfolio', 620, 265, $hard_crop );
		add_image_size( 'nice-template-blog', 160, 100, $hard_crop );
		add_image_size( 'nice-single-post', 590, 265, $hard_crop );
		add_image_size( 'nice-template-portfolio', 205, 140, $hard_crop );

	}

}

add_action( 'after_setup_theme', 'nice_theme_setup' );


add_action( 'wp_head', 'nice_standard_fonts', 15 );

/**
 * nice_standard_fonts()
 *
 * Adds standard fonts in the theme.
 *
 *
 */
if ( ! function_exists( 'nice_standard_fonts' ) ) {

	function nice_standard_fonts() { ?>
			<link href='http<?php if ( is_ssl() ) echo 's'; ?>://fonts.googleapis.com/css?family=Rokkitt' rel='stylesheet' type='text/css'>
	<?php
	}

}


/**
 * nice_upload_mimes()
 *
 * Adds more support for file uploads in the theme.
 *
 *
 */

add_filter( 'upload_mimes', 'nice_upload_mimes' );

if ( ! function_exists( 'nice_upload_mimes' ) ) {

	function nice_upload_mimes( $existing_mimes = array() ) {

			//  Add file extension 'extension' with mime type 'mime/type'
			$existing_mimes['ico'] = 'image/ico';

			// return the new full result
			return $existing_mimes;
	}

}
?>